Bug 210677 - graphics/lightzone: Update to 4.1.6
Summary: graphics/lightzone: Update to 4.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-29 00:26 UTC by Yuri Victorovich
Modified: 2016-07-05 19:53 UTC (History)
0 users

See Also:


Attachments
patch (3.41 KB, patch)
2016-06-29 00:26 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
patch (3.23 KB, patch)
2016-06-29 22:12 UTC, Yuri Victorovich
no flags Details | Diff
patch (2.38 KB, patch)
2016-07-04 19:08 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-06-29 00:26:36 UTC
Created attachment 171928 [details]
patch

Update includes few commits past 4.1.6 because two bugs had to be fixed in the release. Therefore the name is 4.1.6e.
Comment 1 Dmitry Marakasov freebsd_committer 2016-06-29 16:56:17 UTC
- Why do you use unofficial version and GH_TAGNAME? There's official 4.1.6 and it's more recent than 25959f1.
- Why do you move REINPLACE_CMD in do-install:?
Comment 2 Yuri Victorovich freebsd_committer 2016-06-29 18:42:17 UTC
> - Why do you use unofficial version and GH_TAGNAME? There's official 4.1.6 and it's more recent than 25959f1.

The re-did the 4.1.6 release 5 hours ago. The original 4.1.6  release was done 3 days ago and had problems that I reported 2 days ago: https://github.com/Aries85/LightZone/issues/177 and https://github.com/Aries85/LightZone/issues/178

> - Why do you move REINPLACE_CMD in do-install:?

This way it doesn't conflict with patch to the same file, and the patch can be regenarated with makepatch.
Comment 3 Yuri Victorovich freebsd_committer 2016-06-29 22:12:01 UTC
Created attachment 171962 [details]
patch

Update to the second revision of lightzone 4.1.6 release.
Comment 4 Dmitry Marakasov freebsd_committer 2016-07-04 14:12:25 UTC
(In reply to yuri from comment #2)

> This way it doesn't conflict with patch to the same file

It doesn't confclict. post-patch is executed before patches are applied as the target name suggests

> and the patch can be regenarated with makepatch.

Threre are a lot of ways do this (make extract do-patch && make makepatch), and even if there were not, it's not a reson to move patching where it doen't belong. Please put in back to post-patch.
Comment 5 Yuri Victorovich freebsd_committer 2016-07-04 19:08:45 UTC
Created attachment 172116 [details]
patch

Actually the patch under files/ wasn't important any more, and I deleted it.

However, in cases when the patch under files/ is really needed, and that same file is also patched with some variable like LOCALBASE, the FreeBSD ports framework has a problem that patches write over each other, and your solution of "make extract do-patch && make makepatch" also doesn't work because this isn't what people normally do, and later the maintainer will likely forget this, will get confused, and possibly damage the patch.
Comment 6 Dmitry Marakasov freebsd_committer 2016-07-05 19:34:04 UTC
(In reply to yuri from comment #5)

> Actually the patch under files/ wasn't important any more, and I deleted it.
> 
> However, in cases when the patch under files/ is really needed, and that
> same file is also patched with some variable like LOCALBASE, the FreeBSD
> ports framework has a problem that patches write over each other, and your
> solution of "make extract do-patch && make makepatch" also doesn't work
> because this isn't what people normally do, and later the maintainer will
> likely forget this, will get confused, and possibly damage the patch.

We've been living with this for years and I haven't seen any problems ever. Maintainers and committers must check diffs before submitting/committing so such problems are easily revealed. But it's true that patching the same file twice should be avoided.
Comment 7 commit-hook freebsd_committer 2016-07-05 19:34:40 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jul  5 19:34:01 UTC 2016
New revision: 418110
URL: https://svnweb.freebsd.org/changeset/ports/418110

Log:
  - Update to 4.1.6
  - While here, add LICENSE_FILE

  PR:		210677
  Submitted by:	yuri@rawbw.com (maintainer)

Changes:
  head/graphics/lightzone/Makefile
  head/graphics/lightzone/distinfo
  head/graphics/lightzone/files/
Comment 8 Yuri Victorovich freebsd_committer 2016-07-05 19:53:16 UTC
(In reply to Dmitry Marakasov from comment #6)
> We've been living with this for years and I haven't seen any problems ever.

Who are those people who you call "we"?

I saw problems with this quite a few times.

Yuri